#include <bits/stdc++.h>

using namespace std;
int main() {
	ifstream f1("DQXAU.INP");
	ofstream f2("DQXAU.OUT");
	string s;
	int i;
	while (f1>>s)
	{for(i=s.size()-1;i>=0;i--)
	{ f2<<s[i];
	}
	f2<<endl;}

}

